For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a receivable
        • GETGet a receivable's history
        • GETGet a receivable's history record by ID
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)Document history

Get a receivable's history record by ID

GET
/receivables/:receivable_id/history/:receivable_history_id
GET
/v1/receivables/:receivable_id/history/:receivable_history_id
$curl https://api.sandbox.monite.com/v1/receivables/receivable_id/history/receivable_history_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "cd58435b-1c79-4b17-9f79-f898c93e5f97",
3 "event_data": {
4 "new_status": "draft",
5 "old_status": "draft"
6 },
7 "event_type": "status_changed",
8 "receivable_id": "f669a8a4-0563-4ab9-b54f-e9d700d282c5",
9 "timestamp": "2024-01-15T09:30:00Z",
10 "current_pdf_url": "https://monite-file-saver.example.com/12345/67890.pdf",
11 "entity_user_id": "d5a577b0-01c0-4566-ac5c-44f41935e8c4"
12}
Returns a single record from the change history of the specified accounts receivable document.
Was this page helpful?
Previous

Get recurrences

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_history_idstringRequired

ID of the history record to return. You can get these IDs from GET /receivables/{receivable_id}/history.

receivable_idstringRequired
ID of the accounts receivable document whose history you want to get.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID of the history record.
event_dataobject

An object containing additional information about the event or change. The object structure varies based on the event_type. In receivable_created and receivable_updated events, event_data is an empty object {}.

event_typeenum

The type of the event or change. See Event types.

receivable_idstringformat: "uuid"
ID of the receivable document that was changed or triggered an event.
timestampdatetime
UTC date and time when the event or change occurred.
current_pdf_urlstringformat: "uri"1-65536 characters

A URL of the PDF file that shows the document state after the change. Available only for the following event types: receivable_created, receivable_updated, status_changed, and payment_received. In other event types the current_pdf_url value is null.

In payment_received events, the current_pdf_url value is available only in case of full payments and only if the entity setting generate_paid_invoice_pdf is true.

Note that Monite generates PDFs asynchronously. This means that the initial value of current_pdf_url for the abovementioned events right after they occurred is usually null and the value gets populated later after the PDF document has been generated.

entity_user_idstringformat: "uuid"

ID of the entity user who made the change or trigger the event, or null if it was done by using a partner access token.

Errors

400
Get Receivables ID History ID Request Bad Request Error
401
Get Receivables ID History ID Request Unauthorized Error
403
Get Receivables ID History ID Request Forbidden Error
404
Get Receivables ID History ID Request Not Found Error
422
Get Receivables ID History ID Request Unprocessable Entity Error
500
Get Receivables ID History ID Request Internal Server Error